org.keycloak.models.map.storage

## Enum MapStorageProvider.Flag

- java.lang.Object
- - java.lang.Enum<MapStorageProvider.Flag>
  - - org.keycloak.models.map.storage.MapStorageProvider.Flag

- All Implemented Interfaces:
    Serializable, Comparable<MapStorageProvider.Flag>
  Enclosing interface:
    MapStorageProvider

      public static enum MapStorageProvider.Flag
      extends Enum<MapStorageProvider.Flag>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INITIALIZE_EMPTY`
    `LOCAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapStorageProvider.Flag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MapStorageProvider.Flag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIALIZE_EMPTY

          public static final MapStorageProvider.Flag INITIALIZE_EMPTY

    - #### LOCAL

          public static final MapStorageProvider.Flag LOCAL

  - ### Method Detail

    - #### values

          public static MapStorageProvider.Flag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MapStorageProvider.Flag c : MapStorageProvider.Flag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MapStorageProvider.Flag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.